org.jgroups.stack

## Class AckMcastReceiverWindow

- java.lang.Object
- - org.jgroups.stack.AckMcastReceiverWindow

-     public class AckMcastReceiverWindow
      extends java.lang.Object

  Keeps track of messages received from various senders. Acks each message received and checks whether it was already delivered. If yes, the message is discarded, otherwise it is delivered (passed up). The messages contain sequence numbers of old messages to be deleted, those are removed from the message table.
  Author:
    Bela Ban June 17 1999

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Log` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AckMcastReceiverWindow()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(java.lang.Object sender, long seqno)` Records the sender/seqno pair in the message table
    `static void` | `main(java.lang.String[] args)`
    `void` | `remove(java.lang.Object sender, java.util.Vector seqnos)`
    `void` | `removeAll()`
    `void` | `reset()`
    `long` | `size()`
    `void` | `suspect(java.lang.Object sender)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static final Log log

  - ### Constructor Detail

    - #### AckMcastReceiverWindow

          public AckMcastReceiverWindow()

  - ### Method Detail

    - #### add

          public boolean add(java.lang.Object sender,
                    long seqno)

      Records the sender/seqno pair in the message table
      Parameters:
        `sender` - The sender of the message
        `seqno` - The sequence number associated with the message
      Returns:
        boolean If false, message is already present. Otherwise true.

    - #### remove

          public void remove(java.lang.Object sender,
                    java.util.Vector seqnos)

    - #### size

          public long size()

    - #### reset

          public void reset()

    - #### removeAll

          public void removeAll()

    - #### suspect

          public void suspect(java.lang.Object sender)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.net.UnknownHostException

      Throws:
        `java.net.UnknownHostException`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.